import request from '@/utils/request'

// 查询委外研发记录列表
export function listOutsourcing(query) {
  return request({
    url: '/buyer/outsourcing/list',
    method: 'get',
    params: query
  })
}

// 查询委外研发记录详细
export function getOutsourcing(id) {
  return request({
    url: '/buyer/outsourcing/' + id,
    method: 'get'
  })
}

// 新增委外研发记录
export function addOutsourcing(data) {
  return request({
    url: '/buyer/outsourcing',
    method: 'post',
    data: data
  })
}

// 修改委外研发记录
export function updateOutsourcing(data) {
  return request({
    url: '/buyer/outsourcing',
    method: 'put',
    data: data
  })
}

// 删除委外研发记录
export function delOutsourcing(id) {
  return request({
    url: '/buyer/outsourcing/' + id,
    method: 'delete'
  })
}

// 统计委外研发记录列表
export function outsourcingStatist(query) {
  return request({
    url: '/buyer/outsourcing/statist',
    method: 'get',
    params: query
  })
}
